Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.sql
Enum QSqlError.ErrorType

    java.lang.Object
      java.lang.Enum<QSqlError.ErrorType>
          com.trolltech.qt.sql.QSqlError.ErrorType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QSqlError.ErrorType>

Enclosing class:
  QSqlError

    public static enum QSqlError.ErrorType

extends java.lang.Enum<QSqlError.ErrorType>
implements QtEnumerator

This enum type describes the context in which the error occurred, e.g., a connection error, a statement error, etc.

Enum Constant Summary
`ConnectionError` Connection error.
`NoError` No error occurred.
`StatementError` SQL statement syntax error.
`TransactionError` Transaction failed error.
`UnknownError` Unknown error.

Method Summary
`static QSqlError.ErrorType` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QSqlError.ErrorType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QSqlError.ErrorType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NoError

    public static final QSqlError.ErrorType NoError

  No error occurred.

### ConnectionError

    public static final QSqlError.ErrorType ConnectionError

  Connection error.

### StatementError

    public static final QSqlError.ErrorType StatementError

  SQL statement syntax error.

### TransactionError

    public static final QSqlError.ErrorType TransactionError

  Transaction failed error.

### UnknownError

    public static final QSqlError.ErrorType UnknownError

  Unknown error.

Method Detail

### values

    public static final QSqlError.ErrorType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QSqlError.ErrorType c : QSqlError.ErrorType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QSqlError.ErrorType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QSqlError.ErrorType resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD